Package org.apache.maven.scm.provider.svn.svnexe.command.mkdir

## Class SvnMkdirCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.mkdir.AbstractMkdirCommand
    - - org.apache.maven.scm.provider.svn.svnexe.command.mkdir.SvnMkdirCommand

All Implemented Interfaces:
  `Command`, `SvnCommand`

    public class SvnMkdirCommand
    extends AbstractMkdirCommand
    implements SvnCommand

Author:
  Maria Odea Ching

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`SvnMkdirCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected static org.codehaus.plexus.util.cli.Commandline` `createCommandLine​(SvnScmProviderRepository repository, ScmFileSet fileSet, java.io.File messageFile, boolean createInLocal)`
`protected MkdirScmResult` `executeMkdirCommand​(ScmProviderRepository repository, ScmFileSet fileSet, java.lang.String message, boolean createInLocal)` Creates directories in the remote repository.

### Methods inherited from class org.apache.maven.scm.command.mkdir.AbstractMkdirCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### SvnMkdirCommand

    public SvnMkdirCommand()

### Method Detail

#### executeMkdirCommand

    protected MkdirScmResult executeMkdirCommand​(ScmProviderRepository repository,
                                                 ScmFileSet fileSet,
                                                 java.lang.String message,
                                                 boolean createInLocal)
                                          throws ScmException

Creates directories in the remote repository.

Specified by:
  `executeMkdirCommand` in class `AbstractMkdirCommand`
  `createInLocal` - TODO
Returns:
Throws:
  `ScmException`

#### createCommandLine

    protected static org.codehaus.plexus.util.cli.Commandline createCommandLine​(SvnScmProviderRepository repository,
                                                                                ScmFileSet fileSet,
                                                                                java.io.File messageFile,
                                                                                boolean createInLocal)